getDefaultSorting is not defined, Modul gesucht

Django, Flask, Bottle, WSGI, CGI…
zlars
User
Beiträge: 2
Registriert: Freitag 6. Oktober 2006, 13:43

getDefaultSorting is not defined, Modul gesucht

Beitragvon zlars » Freitag 6. Oktober 2006, 14:10

Hallo,

ich bin gerade dabei (nicht zum ersten mal) eine Zope(2.9.5)/Plone(2.1.2)-Installation mit python 2.4.3 aufzusetzen und sobald ich die Plonequellen im Products-Verzeichnis platziere, bekomme ich beim ZIM die Fehlermeldung
Error Type: NameError
Error Value: name 'getDefaultSorting' is not defined


Auf der Console bekomme ich
2006-10-06 14:33:03 ERROR Zope.SiteErrorLog http://meineseite:8080/manage_main
Traceback (innermost last):
Module ZPublisher.Publish, line 115, in publish
Module ZPublisher.mapply, line 88, in mapply
Module ZPublisher.Publish, line 41, in call_object
Module Shared.DC.Scripts.Bindings, line 311, in __call__
Module Shared.DC.Scripts.Bindings, line 348, in _bindAndExec
Module App.special_dtml, line 176, in _exec
Module DocumentTemplate.DT_Let, line 76, in render
Module DocumentTemplate.DT_Util, line 196, in eval
- __traceback_info__: REQUEST
Module <string>, line 0, in ?
NameError: name 'getDefaultSorting' is not defined

(den Domainnamen habe ich ersetzt!)

Ich bin auf die oben angegebenen Version festgelegt. Allerdings sollte diese kombi nach der Kompatibilitätsmatrix auf plone.org funktionieren.

Wie bekomme ich raus, wo getDefaultSorting definiert werden sollte?
Wo sollte es definiert werden?
Welche Infos werden noch gebraucht um Auskunft geben zu können?


Danke schonmal fürs Zuhören!

lars
Benutzeravatar
gerold
Python-Forum Veteran
Beiträge: 5554
Registriert: Samstag 28. Februar 2004, 22:04
Wohnort: Telfs (Tirol)
Kontaktdaten:

Re: getDefaultSorting is not defined, Modul gesucht

Beitragvon gerold » Freitag 6. Oktober 2006, 15:24

zlars hat geschrieben:Zope(2.9.5)/Plone(2.1.2)-Installation mit python 2.4.3

Hallo Lars!

Plone 2.1 funktioniert laut dieser Auflistung http://plone.org/development/info/version-overview NICHT mit Zope 2.9.5.
Das dürfte der Grund für deinen Fehler sein.

mfg
Gerold
:-)
http://halvar.at | Kleiner Bascom AVR Kurs
Wissen hat eine wunderbare Eigenschaft: Es verdoppelt sich, wenn man es teilt.
zlars
User
Beiträge: 2
Registriert: Freitag 6. Oktober 2006, 13:43

Re: getDefaultSorting is not defined, Modul gesucht

Beitragvon zlars » Montag 9. Oktober 2006, 13:04

gerold hat geschrieben:Plone 2.1 funktioniert laut dieser Auflistung http://plone.org/development/info/version-overview NICHT mit Zope 2.9.5.
Das dürfte der Grund für deinen Fehler sein.


Vielen Dank für die Antwort. Das war wirklich der Fehler, allerdings scheint sich dies auf zope 2.9.5 zu beschränken. Mit Version 2.9.2 gab es diese Probleme nicht, dies läuft mit Plone 2.1.2.
...wollte dies nur mal zu Protokoll geben ;)


lars
klaus_ph
User
Beiträge: 11
Registriert: Dienstag 9. Januar 2007, 20:47
Wohnort: Bierstadt Radeberg
Kontaktdaten:

Re: getDefaultSorting is not defined, Modul gesucht

Beitragvon klaus_ph » Dienstag 9. Januar 2007, 22:39

zlars hat geschrieben:
gerold hat geschrieben:Vielen Dank für die Antwort. Das war wirklich der Fehler, allerdings scheint sich dies auf zope 2.9.5 zu beschränken. Mit Version 2.9.2 gab es diese Probleme nicht, dies läuft mit Plone 2.1.2.
...wollte dies nur mal zu Protokoll geben ;)
lars


guten tag ihr beiden
[bin neu, und da ich dieses problem habe/hatte[?], und sowieo auf der suche nach einem guten plone/zope-board war, hier nun meine antwort ;-)

der fehler zeigt sich auch auf zope 2.9.6 (und 2.9.5);
auf 2.9.4 nicht!
aber: er ist nicht ganz so schlimm (m.M.):
er betrifft (bei mir) nur die einstiegsseite nach dem einloggen ins ZMI, die übersichtsseite fehlt, aber links sind plone-sites und das Control_Panel anklickbar.

auf der suche nach dem fehler...:
hier kommt er überall vor:
opt-verzeichnis:
./lib/python/OFS/
242:OrderSupport.py
243:OrderSupport.py
/lib
55:OrderSupport.pyc
/skel
55:OrderSupport.pyo
/zopesk
./lib/python/OFS/dtml/
67:main.dtml
68:main.dtml
285:main.dtml

und dann grep mal das verzeichnis durch, wo deine plone-produkte sind: es taucht bei mir in 5 produkten auf...



ich bin derzeit dabei, von einem zope2.9.3-system mit plone 2.1.3 auf zope2.9.6 mit plone 2.5.1 umzusteigen.

meine ziel-kombination ist der unifiedinstaller (mit ALLEN nötigen programmen), den es auf plone.org gibt: ein paket von kamal gill. hier habe ich es geschafft, IM paket auf python 2.4.4 UND zope 2.9.6 zu erneuern.
zope 2.10.x und plone 2.5.2 ist mir nicht gelungen! ebenso NICHT python 2.5 zu benutzen. mehr infos dazu gerne auf anfrage (hier...)

viele grüße
klaus
Suche python-spezie für einen php-wrapper. Aufgabe:php-skripte so in plone einbinden, daß eine datenbank abgefragt wird.
Und mithilfe bei der verwaltung & fehlersuche+behebung bei plone-projekten-.
honorar oder beteiligung !selbstverständlich!
bei interesse, bitte email. danke.
Benutzeravatar
gerold
Python-Forum Veteran
Beiträge: 5554
Registriert: Samstag 28. Februar 2004, 22:04
Wohnort: Telfs (Tirol)
Kontaktdaten:

Re: getDefaultSorting is not defined, Modul gesucht

Beitragvon gerold » Dienstag 9. Januar 2007, 23:13

klaus_ph hat geschrieben:bin neu

Hallo Klaus!

Willkommen im Python-Forum!

mfg
Gerold
:-)
http://halvar.at | Kleiner Bascom AVR Kurs

Wissen hat eine wunderbare Eigenschaft: Es verdoppelt sich, wenn man es teilt.

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder